Skip to main content
GET
Get the rest-compensable balance of an employee

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employeeId
string<uuid>
required

The employee ID. It must belong to the company of the token.

Query Parameters

from
string<date>
required

First day of the period (Y-m-d). Must not be after to. Use the same value as in POST /overtime-policies/v1/compensations/rest.

Example:

"2026-01-01"

to
string<date>
required

Last day of the period (Y-m-d), inclusive. It can be equal to from. Use the same value as in POST /overtime-policies/v1/compensations/rest.

Example:

"2026-01-31"

Response

Rest-compensable balance of the employee for the period. The status is 200; meta is the default single-object meta.

data
object
required

Balance of the employee that can be compensated with rest over the requested period, in seconds, per source (RestCompensableBalanceForApiView). Only closed days count; the rest and shared buckets, margins, adjustments and transfers are included; time to be remunerated, time already compensated and expired time are not. Every number is clamped at 0.

meta
object
required